CVE-2020-27170

NameCVE-2020-27170
DescriptionAn issue was discovered in the Linux kernel before 5.11.8. kernel/bpf/verifier.c performs undesirable out-of-bounds speculation on pointer arithmetic, leading to side-channel attacks that defeat Spectre mitigations and obtain sensitive information from kernel memory, aka CID-f232326f6966. This affects pointer types that do not define a ptr_limit.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2610-1
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)stretch4.9.228-1fixed
stretch (security)4.9.272-2fixed
buster4.19.208-1fixed
buster (security)4.19.194-3fixed
bullseye5.10.70-1fixed
bullseye (security)5.10.46-5fixed
bookworm5.14.9-2fixed
sid5.14.12-1fixed
linux-4.19 (PTS)stretch (security)4.19.208-1~deb9u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcestretch(not affected)
linuxsourcebuster4.19.181-1
linuxsource(unstable)5.10.24-1
linux-4.19sourcestretch4.19.181-1~deb9u1DLA-2610-1

Notes

[stretch] - linux <not-affected> (Vulnerability introduced later)
https://www.openwall.com/lists/oss-security/2021/03/19/2

Search for package or bug name: Reporting problems